netkit-tftp (0.17-23ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Change dependency from openbsd-inetd to xinetd
      so correct size is reported
    - debian/control: Added Homepage field.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 04 Feb 2021 21:33:20 -0500

netkit-tftp (0.17-23) unstable; urgency=medium

  * Add patch to speed up slow NAKs due to compiler fortification.
    Thanks Bernhard Übelacker for it!
    (Closes: #935826, #931848, #921959)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 11 Nov 2019 17:00:30 +0100

netkit-tftp (0.17-22ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:03:49 +0000

netkit-tftp (0.17-22ubuntu1) eoan; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - debian/control: Change dependency from openbsd-inetd to xinetd
      so correct size is reported
    - debian/control: Added Homepage field.
  * Dropped changes included in Debian:
    - tftp/tftp.c: fix FORTIFY-detected potential memory corruption

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 15 May 2019 21:43:43 +0200

netkit-tftp (0.17-22) unstable; urgency=medium

  [ Christoph Biedl ]
  * Move build system to cmake. (Closes: #912133)
  * Mayor cleanup in debian/

  [ Alberto Gonzalez Iniesta ]
  * Rewrite debian/copyright
  * Bumped Standards-Version to 4.2.1. No changes.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 13 Dec 2018 17:02:57 +0100

netkit-tftp (0.17-21) unstable; urgency=medium

  * cross.patch: Fix FTCBFS. (Closes: #902969).
    Thanks Helmut Grohne for the patch.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 04 Jul 2018 11:26:25 +0200

netkit-tftp (0.17-20) unstable; urgency=medium

  * configure: Exit with appropiate return code so that
    build fails on configure errors. (Closes: #875885)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 03 Jul 2018 17:30:38 +0200

netkit-tftp (0.17-19) unstable; urgency=medium

  * Update tftpd description to warn about missing "tsize".
    (LP: #327868)
  * Update README.Debian with default directory (Closes: #609718)
  * Add patch by Mats Erik Andersson to fix mapped IPv4 in kfreebsd.
    (Closes: #647238)
  * debian/source/format: Move to 3.0 (quilt)
  * debian/patches/memory_corruption.patch: fix FORTIFY-detected potential
    memory corruption Patch by Kees Cook. (LP: #691345)
  * Bumped Standards-Version to 4.1.4, no changes needed.
  * debian/compat: Bumped to 11. Updated debhelper version dependency
  * Fix manpage warning. Other lintian cleanups

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 03 Jul 2018 10:55:34 +0200

netkit-tftp (0.17-18ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:36:25 +0000

netkit-tftp (0.17-18ubuntu2) natty; urgency=low

  * tftp/tftp.c: fix FORTIFY-detected potential memory corruption
    (LP: #691345).

 -- Kees Cook <kees@ubuntu.com>  Thu, 16 Dec 2010 18:14:49 -0800

netkit-tftp (0.17-18ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #664710). Remaining changes:
    - debian/control: Change dependency from openbsd-inetd to xinetd
      so correct size is reported
    - debian/control: Added Homepage field.
  * Dropped change: (superceded in debian)
    - debian/rules: Removed the sed to add -g to CFLAGS. This was not
      working as currently defined (extra \$), and debug (-g) is not
      required.
    - Added debian/watch to monitor for new versions.
    - Patch to return ENOTFOUND instead of EUNDEF for files that do not
      exist applied to tftpd/tftpd.c

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 22 Oct 2010 18:16:14 +0200

netkit-tftp (0.17-18) unstable; urgency=low

  * debian/control: added ${misc:Depends} to binary packages
  * debian/compat: moved to 7
  * Add IPv6 support, once again thanks to Mats Erik Andersson.
    (Closes: #536509)
  * Patch from Ubuntu (Closes: #494309), thanks Stefan Lesicnik:
    - Return ENOTFOUND instead of EUNDEF for files that do not exist
    - Adds debian/watch file (even when they won't happen...)
    - debian/rules: Removes sed which adds -g (debug) option to gcc
  * Removed '-s' from install calls in Makefiles and added dh_strip.
    (Closes: #437617)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 24 Sep 2010 18:05:54 +0200

netkit-tftp (0.17-17ubuntu2) maverick; urgency=low

  * debian/control:
    - Change dependency from openbsd-inetd to xinetd so correct
      size is reported (LP: #105863) 

 -- Mackenzie Morgan <maco.m@ubuntu.com>  Fri, 20 Aug 2010 12:33:19 -0400

netkit-tftp (0.17-17ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #314084)
    - debian/control: Added Homepage field.
    - debian/rules: Removed the sed to add -g to CFLAGS. This was not
      working as currently defined (extra \$), and debug (-g) is not
      required.
    - Added debian/watch to monitor for new versions.
    - Patch to return ENOTFOUND instead of EUNDEF for files that do not
      exist applied to tftpd/tftpd.c (Jerry Kotland - LP: #217537)

 -- Stefan Lesicnik <stefan@lsd.co.za>  Mon, 05 Jan 2009 16:37:32 +0200

netkit-tftp (0.17-17) unstable; urgency=low

  * Require hostname for connection name (Closes: #375365)
    Thanks Michael Welle for the patch.
  * Don't reset the socket before sending last ACK. (Closes: #351403)
    Thanks Michael Welle for the patch.
  * Don't ignore make clean errors to make lintian happy.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Dec 2008 15:03:15 +0100

netkit-tftp (0.17-16ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - No remaining changes.
  * debian/rules:
    - Removed the sed to add -g to CFLAGS. This was not working as
      currently defined (extra \$), and debug (-g) is not required. 
    - Created if statement to check for the presence of MCONFIG to
      decide if to run make distclean.
  * Added debian/watch to monitor for new versions.
  * debian/control:
    - Added Homepage field.
  * Patch to return ENOTFOUND instead of EUNDEF for files that
    do not exist applied to tftpd/tftpd.c
    (Jerry Kotland - closes LP: #217537)

 -- Stefan Lesicnik <stefan@lsd.co.za>  Fri, 08 Aug 2008 14:15:39 +0200

netkit-tftp (0.17-16) unstable; urgency=high

  * tftpd.c: Fixed security bug that made tftpd serve files from
    the filesystem root directory when the tftpd root directory
    was wrongly specified. Thanks Tomasz Nowiński for finding this
    out.
  * tftpd.c: Return 1 (File Not Found) instead of 0 (Not defined) to conform
    to TFTP RFC.
  * Revert patch that allowed uploading NEW files to the server.
    Behaving just like the man page states (Closes: #335200)
  * Bumped Standards-Version to 3.8.0.0, no change.
  * Removed debian/tftpd.prerm, no need for it.
  * Removed inetd entry on package removal (Closes: #351867)
  * Replaced netbase Depends with openbsd-inetd | inet-superserver.
    (Closes: #401888)
  * Mention in package description that tftpd is not suitable for PXE
    booting. (Closes: #401288)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 05 Aug 2008 13:15:15 +0200

netkit-tftp (0.17-15ubuntu2) intrepid; urgency=low

  * debian/control:
    - Update Maintainer field as per spec (LP: #230350).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 04 Jun 2008 23:26:06 +0200

netkit-tftp (0.17-15ubuntu1) feisty; urgency=low

  * debian/control: Add update-inetd to tftpd's dependencies
    (Closes Ubuntu: #76160).
  * debian/control: Add openbsd-inetd | inet-superserver dependencies
    as tftpd needs an inet server to work

 -- Lionel Porcheron <lionel@alveonet.org>  Sun, 17 Dec 2006 16:08:24 +0100

netkit-tftp (0.17-15) unstable; urgency=low

  * tftpd/tftpd.c: Fixed file mode when new files are uploaded.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 14 Oct 2005 11:33:37 +0200

netkit-tftp (0.17-14) unstable; urgency=low

  * Fix dyslexia problem. Actually made the default directory
    /srv/tftp.
  * tftpd/tftpd.c patched to allow uploading files that didn't exist
    previously on the server. 
    Thanks Rodrigo Steinmüller Wanderley <rwanderley@natalnet.br>
    for finding this out and the patch.
  * Bumped Standards-Version to 3.6.2.0, no change.
  * Moved to debhelper compatibility 4. Created debian/compat.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 13 Oct 2005 12:14:55 +0200

netkit-tftp (0.17-13) unstable; urgency=low

  * Fixed typo in man page. (Closes: #310347)
  * Changed default tftpd directory to /svr/tftp (Closes: #255204)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 12 Jul 2005 19:44:36 +0200

netkit-tftp (0.17-12) unstable; urgency=low

  * Changed maintainer email address
  * Reworded tftp and tftpd Descriptions

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 25 Mar 2005 19:05:49 +0100

netkit-tftp (0.17-11) unstable; urgency=low

  * New Maintainer. (Closes: #249716)
  * Added Depends on netbase to tftp. (Closes: #245764)
  * Added versioned Build-Depends on debhelper.
  * Bumped Standards-Version to 3.6.1, no change.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Wed, 19 May 2004 09:41:49 +0200

netkit-tftp (0.17-10) unstable; urgency=low

  * Fixed inetd service name in prerm/postrm (closes: #171178).

 -- Herbert Xu <herbert@debian.org>  Sun, 22 Dec 2002 15:48:30 +1100

netkit-tftp (0.17-9) unstable; urgency=low

  * Always reopen socket after a get/put in tftp (closes: #130292).

 -- Herbert Xu <herbert@debian.org>  Wed, 30 Jan 2002 20:56:47 +1100

netkit-tftp (0.17-8) unstable; urgency=low

  * Reopen socket on all errors in tftp (closes: #130292).

 -- Herbert Xu <herbert@debian.org>  Mon, 28 Jan 2002 21:43:17 +1100

netkit-tftp (0.17-7) unstable; urgency=low

  * Call synchnet on all errors in tftp (closes: #130292).

 -- Herbert Xu <herbert@debian.org>  Fri, 25 Jan 2002 19:06:31 +1100

netkit-tftp (0.17-6) unstable; urgency=low

  * Added note about default tftp location in README.Debian (closes: #121522).

 -- Herbert Xu <herbert@debian.org>  Sat, 22 Dec 2001 13:07:55 +1100

netkit-tftp (0.17-5) unstable; urgency=low

  * Fixed loop condition in sendfile (closes: #92231).

 -- Herbert Xu <herbert@debian.org>  Mon,  2 Apr 2001 21:38:15 +1000

netkit-tftp (0.17-4) unstable; urgency=low

  * Use arpa/tftp.h from glibc (closes: #88346).

 -- Herbert Xu <herbert@debian.org>  Sun,  4 Mar 2001 10:23:45 +1100

netkit-tftp (0.17-3) unstable; urgency=low

  * Restored block == 1 check that was removed in 0.17 (closes: #88286).

 -- Herbert Xu <herbert@debian.org>  Sat,  3 Mar 2001 10:19:40 +1100

netkit-tftp (0.17-2) unstable; urgency=low

  * Removed emacsism in this very file (closes: #74272).
  * Merged option processing changes from Ian Jackson (closes: #74273).

 -- Herbert Xu <herbert@debian.org>  Sat, 21 Oct 2000 12:12:28 +1100

netkit-tftp (0.17-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat, 12 Aug 2000 12:04:31 +1000

netkit-tftp (0.10-1) unstable; urgency=low

  * Initial Release.
  * Based on netkit-tftp (closes: #39450).
  * Implemented -n and -s (closes: #23917).
    Note that -s was done without chroot.  Instead all absolute filenames are
    treated as relative ones.

 -- Herbert Xu <herbert@debian.org>  Tue, 26 Oct 1999 12:23:51 +1000

